# Uses of Interface
org.springframework.web.server.session.WebSessionManager

Packages that use WebSessionManager
Package
Description
org.springframework.web.server.adapter
Implementations to adapt to the underlying `org.springframework.http.client.reactive` reactive HTTP adapter and `HttpHandler`.
org.springframework.web.server.session
Auxiliary interfaces and implementation classes for `WebSession` support.

## Uses of WebSessionManager in org.springframework.web.server.adapter

Methods in org.springframework.web.server.adapter that return WebSessionManager
Modifier and Type
Method
Description
`WebSessionManager`
HttpWebHandlerAdapter.`getSessionManager()`
Return the configured `WebSessionManager`.
Methods in org.springframework.web.server.adapter with parameters of type WebSessionManager
Modifier and Type
Method
Description
`WebHttpHandlerBuilder`
WebHttpHandlerBuilder.`sessionManager(WebSessionManager manager)`
Configure the `WebSessionManager` to set on the `WebServerExchange`.
`void`
HttpWebHandlerAdapter.`setSessionManager(WebSessionManager sessionManager)`
Configure a custom `WebSessionManager` to use for managing web sessions.
Constructors in org.springframework.web.server.adapter with parameters of type WebSessionManager
Modifier
Constructor
Description
``
`DefaultServerWebExchange(ServerHttpRequest request, ServerHttpResponse response, WebSessionManager sessionManager, ServerCodecConfigurer codecConfigurer, LocaleContextResolver localeContextResolver)`
`protected`
`DefaultServerWebExchange(ServerHttpRequest request, ServerHttpResponse response, WebSessionManager sessionManager, ServerCodecConfigurer codecConfigurer, LocaleContextResolver localeContextResolver, org.springframework.context.ApplicationContext applicationContext)`

## Uses of WebSessionManager in org.springframework.web.server.session

Classes in org.springframework.web.server.session that implement WebSessionManager
Modifier and Type
Class
Description
`class`
`DefaultWebSessionManager`
Default implementation of `WebSessionManager` delegating to a `WebSessionIdResolver` for session id resolution and to a `WebSessionStore`.